Package com.pixelmed.dicom

## Class DicomDirectoryRecordFactory

- java.lang.Object
- - com.pixelmed.dicom.DicomDirectoryRecordFactory

-     public class DicomDirectoryRecordFactory
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `DicomDirectoryRecordFactory.ConcatenationDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.EncapsulatedDocumentDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.FiducialDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.HL7StructuredDocumentDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.ImageDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.KODocumentDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.PatientDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.PresentationStateDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.RawDataDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.RealWorldValueMappingDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.RegistrationDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.RTDoseDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.RTPlanDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.RTStructureSetDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.RTTreatmentRecordDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.SeriesDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.SpectroscopyDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.SRDocumentDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.StereometricRelationshipDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.StudyDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.TopDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.UnrecognizedDirectoryRecord` |
    `class` | `DicomDirectoryRecordFactory.WaveformDirectoryRecord` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DicomDirectoryRecordFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DicomDirectoryRecord` | `getNewDicomDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build a directory record of the appropriate type based on the DirectoryRecordType attribute value.
    `DicomDirectoryRecordFactory.EncapsulatedDocumentDirectoryRecord` | `getNewEncapsulatedDocumentDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build an encapsulated document directory record.
    `DicomDirectoryRecordFactory.FiducialDirectoryRecord` | `getNewFiducialDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build a fiducial directory record.
    `DicomDirectoryRecordFactory.HL7StructuredDocumentDirectoryRecord` | `getNewHL7StructuredDocumentDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build an HL7 structured document directory record.
    `DicomDirectoryRecordFactory.ImageDirectoryRecord` | `getNewImageDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build an image directory record.
    `DicomDirectoryRecordFactory.KODocumentDirectoryRecord` | `getNewKODocumentDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build a KO directory record.
    `DicomDirectoryRecordFactory.PatientDirectoryRecord` | `getNewPatientDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build a patient directory record.
    `DicomDirectoryRecordFactory.PresentationStateDirectoryRecord` | `getNewPresentationStateDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build an presentation state directory record.
    `DicomDirectoryRecordFactory.RawDataDirectoryRecord` | `getNewRawDataDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build a raw data directory record.
    `DicomDirectoryRecordFactory.RealWorldValueMappingDirectoryRecord` | `getNewRealWorldValueMappingDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build an RWVM directory record.
    `DicomDirectoryRecordFactory.RegistrationDirectoryRecord` | `getNewRegistrationDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build a registration directory record.
    `DicomDirectoryRecordFactory.RTDoseDirectoryRecord` | `getNewRTDoseDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build an RT Dose directory record.
    `DicomDirectoryRecordFactory.RTPlanDirectoryRecord` | `getNewRTPlanDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build an RT Plan directory record.
    `DicomDirectoryRecordFactory.RTStructureSetDirectoryRecord` | `getNewRTStructureSetDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build an RT Structure Set directory record.
    `DicomDirectoryRecordFactory.RTTreatmentRecordDirectoryRecord` | `getNewRTTreatmentRecordDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build an RT Treatment Record directory record.
    `DicomDirectoryRecordFactory.SeriesDirectoryRecord` | `getNewSeriesDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build a series directory record.
    `DicomDirectoryRecordFactory.SpectroscopyDirectoryRecord` | `getNewSpectroscopyDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build an spectroscopy directory record.
    `DicomDirectoryRecordFactory.SRDocumentDirectoryRecord` | `getNewSRDocumentDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build an SR directory record.
    `DicomDirectoryRecordFactory.StereometricRelationshipDirectoryRecord` | `getNewStereometricRelationshipDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build a stereometric relationship directory record.
    `DicomDirectoryRecordFactory.StudyDirectoryRecord` | `getNewStudyDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build a study directory record.
    `DicomDirectoryRecordFactory.TopDirectoryRecord` | `getNewTopDirectoryRecord()` | Build a top level directory record.
    `DicomDirectoryRecordFactory.WaveformDirectoryRecord` | `getNewWaveformDirectoryRecord​(DicomDirectoryRecord parent, AttributeList list)` | Build a waveform directory record.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DicomDirectoryRecordFactory

          public DicomDirectoryRecordFactory()

  - ### Method Detail

    - #### getNewDicomDirectoryRecord

          public DicomDirectoryRecord getNewDicomDirectoryRecord​(DicomDirectoryRecord parent,
                                                                 AttributeList list)

      Build a directory record of the appropriate type based on the DirectoryRecordType attribute value.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewTopDirectoryRecord

          public DicomDirectoryRecordFactory.TopDirectoryRecord getNewTopDirectoryRecord()

      Build a top level directory record.

      Returns:
        the directory record

    - #### getNewPatientDirectoryRecord

          public DicomDirectoryRecordFactory.PatientDirectoryRecord getNewPatientDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                                 AttributeList list)

      Build a patient directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewStudyDirectoryRecord

          public DicomDirectoryRecordFactory.StudyDirectoryRecord getNewStudyDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                             AttributeList list)

      Build a study directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewSeriesDirectoryRecord

          public DicomDirectoryRecordFactory.SeriesDirectoryRecord getNewSeriesDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                               AttributeList list)

      Build a series directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewImageDirectoryRecord

          public DicomDirectoryRecordFactory.ImageDirectoryRecord getNewImageDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                             AttributeList list)

      Build an image directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewSRDocumentDirectoryRecord

          public DicomDirectoryRecordFactory.SRDocumentDirectoryRecord getNewSRDocumentDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                                       AttributeList list)

      Build an SR directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewKODocumentDirectoryRecord

          public DicomDirectoryRecordFactory.KODocumentDirectoryRecord getNewKODocumentDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                                       AttributeList list)

      Build a KO directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewRTDoseDirectoryRecord

          public DicomDirectoryRecordFactory.RTDoseDirectoryRecord getNewRTDoseDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                               AttributeList list)

      Build an RT Dose directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewRTStructureSetDirectoryRecord

          public DicomDirectoryRecordFactory.RTStructureSetDirectoryRecord getNewRTStructureSetDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                                               AttributeList list)

      Build an RT Structure Set directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewRTPlanDirectoryRecord

          public DicomDirectoryRecordFactory.RTPlanDirectoryRecord getNewRTPlanDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                               AttributeList list)

      Build an RT Plan directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewRTTreatmentRecordDirectoryRecord

          public DicomDirectoryRecordFactory.RTTreatmentRecordDirectoryRecord getNewRTTreatmentRecordDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                                                     AttributeList list)

      Build an RT Treatment Record directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewPresentationStateDirectoryRecord

          public DicomDirectoryRecordFactory.PresentationStateDirectoryRecord getNewPresentationStateDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                                                     AttributeList list)

      Build an presentation state directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewSpectroscopyDirectoryRecord

          public DicomDirectoryRecordFactory.SpectroscopyDirectoryRecord getNewSpectroscopyDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                                           AttributeList list)

      Build an spectroscopy directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewRawDataDirectoryRecord

          public DicomDirectoryRecordFactory.RawDataDirectoryRecord getNewRawDataDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                                 AttributeList list)

      Build a raw data directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewWaveformDirectoryRecord

          public DicomDirectoryRecordFactory.WaveformDirectoryRecord getNewWaveformDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                                   AttributeList list)

      Build a waveform directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewRegistrationDirectoryRecord

          public DicomDirectoryRecordFactory.RegistrationDirectoryRecord getNewRegistrationDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                                           AttributeList list)

      Build a registration directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewFiducialDirectoryRecord

          public DicomDirectoryRecordFactory.FiducialDirectoryRecord getNewFiducialDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                                   AttributeList list)

      Build a fiducial directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewRealWorldValueMappingDirectoryRecord

          public DicomDirectoryRecordFactory.RealWorldValueMappingDirectoryRecord getNewRealWorldValueMappingDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                                                             AttributeList list)

      Build an RWVM directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewStereometricRelationshipDirectoryRecord

          public DicomDirectoryRecordFactory.StereometricRelationshipDirectoryRecord getNewStereometricRelationshipDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                                                                   AttributeList list)

      Build a stereometric relationship directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewEncapsulatedDocumentDirectoryRecord

          public DicomDirectoryRecordFactory.EncapsulatedDocumentDirectoryRecord getNewEncapsulatedDocumentDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                                                           AttributeList list)

      Build an encapsulated document directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record

    - #### getNewHL7StructuredDocumentDirectoryRecord

          public DicomDirectoryRecordFactory.HL7StructuredDocumentDirectoryRecord getNewHL7StructuredDocumentDirectoryRecord​(DicomDirectoryRecord parent,
                                                                                                                             AttributeList list)

      Build an HL7 structured document directory record.

      Parameters:
        `parent` - parent directory record
        `list` - list of attributes for this directory record
      Returns:
        the directory record